Loading...
Searching...
No Matches
Opm::H2GasPvt< Scalar > Class Template Reference

This class represents the Pressure-Volume-Temperature relations of the gas phase for H2. More...

`#include <H2GasPvt.hpp>`

## Public Types

using | BinaryCoeffBrineH2 = BinaryCoeff::Brine_H2<Scalar, H2O, H2>

## Public Member Functions

| H2GasPvt (const std::vector< Scalar > &salinity, Scalar T_ref=288.71, Scalar P_ref=101325)
void | setNumRegions (size_t numRegions)
void | setVapPars (const Scalar, const Scalar)
void | setReferenceDensities (unsigned regionIdx, Scalar rhoRefBrine, Scalar rhoRefGas, Scalar)
| Initialize the reference densities of all fluids for a given PVT region.
void | setEnableVaporizationWater (bool yesno)
| Specify whether the PVT model should consider that the water component can vaporize in the gas phase.
void | initEnd ()
| Finish initializing the oil phase PVT properties.
unsigned | numRegions () const
| Return the number of PVT regions which are considered by this PVT-object.
Scalar | hVap (unsigned) const
template<class Evaluation>
Evaluation | internalEnergy (unsigned, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &, const Evaluation &) const
| Returns the specific enthalpy [J/kg] of gas given a set of parameters.
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &, const Evaluation &) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | saturatedViscosity (unsigned, const Evaluation &temperature, const Evaluation &pressure) const
| Returns the dynamic viscosity [Pa s] of oil saturated gas at given pressure.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &rv, const Evaluation &rvw) const
| Returns the formation volume factor [-] of the fluid phase.
template<class FluidState, class LhsEval = typename FluidState::Scalar>
std::pair< LhsEval, LhsEval > | inverseFormationVolumeFactorAndViscosity (const FluidState &fluidState, unsigned regionIdx)
| Returns the formation volume factor [-] and viscosity [Pa s] of the fluid phase.
template<class Evaluation>
Evaluation | saturatedInverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure) const
| Returns the formation volume factor [-] of oil saturated gas at given pressure.
template<class Evaluation>
Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &) const
| Returns the saturation pressure of the gas phase [Pa] depending on its mass fraction of the oil component.
template<class Evaluation>
Evaluation | saturatedWaterVaporizationFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure) const
| Returns the water vaporization factor [m^3/m^3] of the water phase.
template<class Evaluation = Scalar>
Evaluation | saturatedWaterVaporizationFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &saltConcentration) const
| Returns the water vaporization factor [m^3/m^3] of water saturated gas.
template<class Evaluation>
Evaluation | saturatedOilVaporizationFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &, const Evaluation &) const
| Returns the oil vaporization factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | saturatedOilVaporizationFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure) const
| Returns the oil vaporization factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | diffusionCoefficient (const Evaluation &temperature, const Evaluation &pressure, unsigned) const
Scalar | gasReferenceDensity (unsigned regionIdx) const
Scalar | oilReferenceDensity (unsigned regionIdx) const
Scalar | waterReferenceDensity (unsigned regionIdx) const
Scalar | salinity (unsigned regionIdx) const

## Detailed Description

template<class Scalar>
class Opm::H2GasPvt< Scalar >

This class represents the Pressure-Volume-Temperature relations of the gas phase for H2.

## Member Function Documentation

## saturationPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::H2GasPvt< Scalar >::saturationPressure | ( | unsigned | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ) const

inline

Returns the saturation pressure of the gas phase [Pa] depending on its mass fraction of the oil component.

Parameters

  Rv | The surface volume of oil component dissolved in what will yield one cubic meter of gas at the surface [-]

## setEnableVaporizationWater()

template<class Scalar>

void Opm::H2GasPvt< Scalar >::setEnableVaporizationWater | ( | bool | yesno | ) |

inline

Specify whether the PVT model should consider that the water component can vaporize in the gas phase.

By default, vaporized water is considered.

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/blackoilpvt/H2GasPvt.hpp
- opm/material/fluidsystems/blackoilpvt/H2GasPvt.cpp